<script setup>
const route = useRoute();
const { t } = useI18n();

const head = useLocaleHead({
  addDirAttribute: true,
  identifierAttribute: 'id',
  addSeoAttributes: true,
});

const title = computed(() =>
  t('layouts.title', { title: t(route.meta.title ?? 'TBD') }),
);
</script>

<template>
  <div>
    <Html
      :lang="head.htmlAttrs.lang"
      :dir="head.htmlAttrs.dir"
      :class="head.htmlAttrs.class"
    >
      <Head>
        <Title>{{ title }}</Title>

        <template v-for="link in head.link" :key="link.id">
          <Link
            :id="link.id"
            :rel="link.rel"
            :href="link.href"
            :hreflang="link.hreflang"
          />
        </template>

        <template v-for="meta in head.meta" :key="meta.id">
          <Meta
            :id="meta.id"
            :property="meta.property"
            :content="meta.content"
          />
        </template>
      </Head>

      <Body class="dark:bg-las-d-brown dark:text-white">
        <div class="h-screen flex flex-col">
          <Header />

          <div class="flex-1">
            <slot />
          </div>

          <Footer />
        </div>
      </Body>
    </Html>
  </div>
</template>
